Subject: [cuirass] Invalid specs are ignored, should be reported instead

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 15 Jun 2018 14:37:19 +0200

When Cuirass processes a list of specifications it silently ignores
those that would result in erroneous SQL statements.

Take for example a specification that does not include an #:arguments
field.  The database schema says that “arguments” may not be NULL, but
db-add-specification will produce an INSERT statement that sets
“arguments” to NULL when it is not part of the specification alist.

Cuirass should either validate the specifications before passing them to
“db-add-specification” or report an error when “db-add-specification”
fails to add a table record.

--
Ricardo